net.corda.flows

## Class TwoPartyDealFlow

- net.corda.flows.TwoPartyDealFlow

-     public class TwoPartyDealFlow

  Classes for manipulating a two party deal or agreement.

  TODO: The subclasses should probably be broken out into individual flows rather than making this an ever expanding collection of subclasses.

  TODO: Also, the term Deal is used here where we might prefer Agreement.

  TODO: Consider whether we can merge this with `class TwoPartyTradeFlow`

  See Also:
    `class TwoPartyTradeFlow`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TwoPartyDealFlow.Acceptor` One side of the flow for inserting a pre-agreed deal.
    `static class` | `TwoPartyDealFlow.AutoOffer`
    `static class` | `TwoPartyDealFlow.Handshake<T>`
    `static class` | `TwoPartyDealFlow.Instigator` One side of the flow for inserting a pre-agreed deal.
    `static class` | `TwoPartyDealFlow.Primary` Abstracted bilateral deal flow participant that initiates communication/handshake.
    `static class` | `TwoPartyDealFlow.Secondary<U>` Abstracted bilateral deal flow participant that is recipient of initial communication.
    `static class` | `TwoPartyDealFlow.SignaturesFromPrimary`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TwoPartyDealFlow` | `INSTANCE` Classes for manipulating a two party deal or agreement.

- - ### Field Detail

    - #### INSTANCE

          public static TwoPartyDealFlow INSTANCE

      Classes for manipulating a two party deal or agreement.

      TODO: The subclasses should probably be broken out into individual flows rather than making this an ever expanding collection of subclasses.

      TODO: Also, the term Deal is used here where we might prefer Agreement.

      TODO: Consider whether we can merge this with `class TwoPartyTradeFlow`

      See Also:
        `class TwoPartyTradeFlow`